"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const vue = require("vue");
function useRoomToolbarH5() {
  const showToolbar = vue.ref(true);
  function toggleToolbar(event) {
    const target = event.target;
    if (target && !target.closest("button") && !target.closest(".control-bar") && !target.closest(".header") && !target.closest(".bottom-popup-overlay")) {
      showToolbar.value = !showToolbar.value;
    }
  }
  return {
    showToolbar,
    toggleToolbar
  };
}
exports.useRoomToolbarH5 = useRoomToolbarH5;
